aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/testing/update-testing-branch.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/contrib/testing/update-testing-branch.sh b/contrib/testing/update-testing-branch.sh
new file mode 100755
index 0000000000..2c48af1257
--- /dev/null
+++ b/contrib/testing/update-testing-branch.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+DATE=`date +%F`
+
+cd /scratch/oe/oe-build/openembedded
+git fetch
+git checkout testing-next
+git merge origin/master
+git push oe-push HEAD
+git branch tested_${DATE}
+
+echo "master has been merged to testing-next and is ready for clean builds" | mail -s "testing branch ${DATE}" openembedded-devel@lists.openembedded.org -- -r "cliff.brake@gmail.com"
+